Package org.silverpeas.components.gallery.socialnetwork

## Class SocialInformationGallery

- java.lang.Object
- - org.silverpeas.core.socialnetwork.model.AbstractSocialInformation
  - - org.silverpeas.components.gallery.socialnetwork.SocialInformationGallery

- All Implemented Interfaces:
    `Comparable<org.silverpeas.core.socialnetwork.model.SocialInformation>`, `org.silverpeas.core.socialnetwork.model.SocialInformation`

      public class SocialInformationGallery
      extends org.silverpeas.core.socialnetwork.model.AbstractSocialInformation

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.socialnetwork.model.AbstractSocialInformation

      `author, date, description, icon, resourceReference, socialInformationWasupdated, title, type, url`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SocialInformationGallery​(MediaWithStatus picture)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class org.silverpeas.core.socialnetwork.model.AbstractSocialInformation

      `compareByUrl, compareTo, getAuthor, getDate, getDescription, getIcon, getResourceReference, getTitle, getType, getUrl, isUpdated, setAuthor, setDate, setDescription, setIcon, setTitle, setType, setUpdated, setUrl`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocialInformationGallery

          public SocialInformationGallery​(MediaWithStatus picture)

  - ### Method Detail

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `org.silverpeas.core.socialnetwork.model.AbstractSocialInformation`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.silverpeas.core.socialnetwork.model.AbstractSocialInformation`